Subject: [Isis-wg] I-D Action: draft-ietf-isis-segment-routing-extensions-14.txt

From: [email-masked]
Date: Fri, 15 Dec 2017 09:36:38 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IS-IS for IP Internets WG of the IETF.

        Title           : IS-IS Extensions for Segment Routing
        Authors         : Stefano Previdi
                          Les Ginsberg
                          Clarence Filsfils
                          Ahmed Bashandy
                          Hannes Gredler
                          Stephane Litkowski
                          Bruno Decraene
                          Jeff Tantsura
	Filename        : draft-ietf-isis-segment-routing-extensions-14.txt
	Pages           : 34
	Date            : 2017-12-15

Abstract:
   Segment Routing (SR) allows for a flexible definition of end-to-end
   paths within IGP topologies by encoding paths as sequences of
   topological sub-paths, called "segments".  These segments are
   advertised by the link-state routing protocols (IS-IS and OSPF).

   This draft describes the necessary IS-IS extensions that need to be
   introduced for Segment Routing operating on an MPLS data-plane.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-isis-segment-routing-extensions/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-isis-segment-routing-extensions-14
https://datatracker.ietf.org/doc/html/draft-ietf-isis-segment-routing-extensions-14

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-isis-segment-routing-extensions-14

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Fri, 15 Dec 2017 18:09:08 +0000

I have assumed the editor role from Stefano.

This new version restores the support for SID/Label sub-TLV in the SID/Label Binding TLV - needed to support Mirror Context (as requested by Chris Bowers).
It also addresses some IANA related issues - including the conflicting code point w the MSD draft.

Some other minor editorial changes have been made.

Thanx.

   Les

> -----Original Message-----
> From: Isis-wg [mailto:[email-masked]] On Behalf Of internet-
> [email-masked]
> Sent: Friday, December 15, 2017 9:37 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Isis-wg] I-D Action: draft-ietf-isis-segment-routing-extensions-
> 14.txt
> 
> 
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/isis-wg

---

From: Jeff Tantsura <[email-masked]>
Date: Fri, 15 Dec 2017 10:30:11 -0800

Les,

Thanks for doing that, great!

Cheers,
Jeff

-----Original Message-----
From: Isis-wg <[email-masked]> on behalf of "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Friday, December 15, 2017 at 10:09
To: "[email-masked]" <[email-masked]>
Subject: Re: [Isis-wg] I-D Action: draft-ietf-isis-segment-routing-extensions-14.txt

    
    
    Thanx.
    
       Les

---

From: Chris Bowers <[email-masked]>
Date: Tue, 19 Dec 2017 16:28:13 -0600

Les,

Thanks for updating the text.  Below are a few proposed changes/additions
to the current text that are mainly to clarify a few things.

Thanks,
Chris

=============
2.4.4.  Mapping Server Prefix-SID

   The Prefix-SID sub-TLV (suggested value 3) is defined in Section 2.1
   and contains the SID/index/label value associated with the prefix and
   range.  The Prefix-SID SubTLV MUST be present in the SID/Label
   Binding TLV.

Proposed last sentence:

The Prefix-SID Sub-TLV MUST be present in the SID/Label Binding TLV unless the
the M-flag is set in the Flags field of the parent TLV.

=============
Existing text:

   The SID/Label sub-TLV may be present in the following TLVs/sub-TLVs
   defined in this document:

   SR Capability (Section 3.1)

   SRLB (Section 3.3)

   Binding TLV (Section 2.4)

   MT Binding TLV (Section 2.5)

   Note that when used in the SR Capability and SRLB sub-TLVs the code
   point used is the same as the sub-TLV code point assigned by IANA in
   the sub-TLVs for TLV 149 and 150 registry.

Proposed text:

   The SID/Label sub-TLV may be present in the following TLVs/sub-TLVs
   defined in this document:

   SR-Capabilities Sub-TLV (Section 3.1)

   SR Local Block Sub-TLV (Section 3.3)

   SID/Label Binding TLV (Section 2.4)

   Multi-Topology SID/Label Binding TLV (Section 2.5)

Note that the code point used for the SID/Label Sub-TLV in the
SR-Capabilities Sub-TLV and the SR Local Block sub-TLV is the same as
the code point used for the SID/Label Sub-TLV in the SID/Label Binding TLV
and the Multi-Topology SID/Label Binding TLV. This code point is assigned
by IANA in the “sub-TLVs for TLV 149 and 150” registry

===============
3.3.  SR Local Block Sub-TLV

(add after first paragraph)
   The SR Local Block sub-TLV is inserted into the IS-IS Router Capability
   TLV-242 that is defined in [RFC7981].

===============
3.3.  SR Local Block Sub-TLV

(add after first paragraph)
   The SRMS Preference sub-TLV is inserted into the IS-IS Router Capability
   TLV-242 that is defined in [RFC7981].

===============
5.3.  Sub TLVs for Type 242
…
         Description: Segment Routing Local Base (SRLB)   <<<< OLD

         Description: Segment Routing Local Block (SRLB)  <<<< NEW

===============

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 20 Dec 2017 02:02:30 +0000

Chris -

Thanx for the prompt review.
I have posted a new version which addresses all of your comments.

More inline.

> From: Chris Bowers [mailto:[email-masked]]
> Sent: Tuesday, December 19, 2017 2:28 PM
> To: Les Ginsberg (ginsberg) <[email-masked]>; [email-masked]
> The Prefix-SID Sub-TLV MUST be present in the SID/Label Binding TLV unless
> the the M-flag is set in the Flags field of the parent TLV.
> 
[Les:] Done

> Note that the code point used for the SID/Label Sub-TLV in the SR-
> Capabilities Sub-TLV and the SR Local Block sub-TLV is the same as the code
> point used for the SID/Label Sub-TLV in the SID/Label Binding TLV and the
> Multi-Topology SID/Label Binding TLV. This code point is assigned by IANA in
> the “sub-TLVs for TLV 149 and 150” registry
>
[Les:] Done - though I reworded the last paragraph a bit.
 
[Les:] I added text in the parent section (3.)  to indicate all the sub-TLVs described in the sub-sections are in the Router Capability TLV.

[Les:] Done
 
    Les

> > This new version restores the support for SID/Label sub-TLV in the
> SID/Label Binding TLV - needed to support Mirror Context (as requested by
> Chris Bowers).
> > > From: Isis-wg [mailto:[email-masked]] On Behalf Of
> > > internet- [email-masked]
> > > Subject: [Isis-wg] I-D Action:
> > > draft-ietf-isis-segment-routing-extensions-
> > > 14.txt
> > >
> > >
> > > https://datatracker.ietf.org/doc/html/draft-ietf-isis-segment-routin
> > > g-
> > > extensions-14
> > >
> > > Please note that it may take a couple of minutes from the time of
> > > submission until the htmlized version and diff are available at
> tools.ietf.org.
> > >

---

From: Stewart Bryant <[email-masked]>
Date: Fri, 22 Dec 2017 17:29:35 +0000

Hi,

There appears to be no explicit typing for the SID.

Clearly it can be a MPLS label, an IPv6 address, but in the future it 
might be something else. How does a parser know the SID type?

Thanks

Stewart

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Sat, 23 Dec 2017 21:37:09 +0000

Stewart -

The draft is only covering the extensions for SR-MPLS - so IPv6 address is NOT an option for the SID advertisements defined in this draft.
(This restriction is explicitly stated in the Abstract and the Introduction.)

In the case of the Prefix-SID sub-TLV (https://tools.ietf.org/html/draft-ietf-isis-segment-routing-extensions-15#section-2.1 ) the state of the V-flag indicates whether we are advertising a 20 bit MPLS label or a 32 bit index.

In the case of the SID/Label sub-TLV (https://tools.ietf.org/html/draft-ietf-isis-segment-routing-extensions-15#section-2.3 ) the length indicates whether the value is a label or an index.

For SRv6 there is separate draft (https://datatracker.ietf.org/doc/draft-bashandy-isis-srv6-extensions/ ) and a new TLV is defined to advertise an IPv6 SID.

   Les

> From: Stewart Bryant [mailto:[email-masked]]
> Sent: Friday, December 22, 2017 9:30 AM
> To: Jeff Tantsura <[email-masked]>; Les Ginsberg (ginsberg)
> <[email-masked]>; [email-masked]
> Clearly it can be a MPLS label, an IPv6 address, but in the future it might be
> something else. How does a parser know the SID type?
> 
> Thanks
> 
> Stewart
> 
> 
> > Subject: Re: [Isis-wg] I-D Action:
> > draft-ietf-isis-segment-routing-extensions-14.txt
> >
> submission

---

From: Stewart Bryant <[email-masked]>
Date: Sun, 24 Dec 2017 16:34:48 +0000

Hi Les,

It seems a pity that there needs to be two different drafts given that there is supposed to be a common SR architecture.

However that being the case the title of the draft and probably the file name really needs to be changed to clarify the point by including the keyword MPLS.

Best Regards

Stewart 

> On 23 Dec 2017, at 21:37, Les Ginsberg (ginsberg) <[email-masked]> wrote:
> 
> Stewart -
>